ros-jazzy-camera-calibration-parsers (5.1.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Jun 2025 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Apr 2025 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jun 2024 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 May 2024 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.2-1noble) noble; urgency=high

  * Update to yaml-cpp 0.8.0. (#305 <https://github.com/ros-perception/image_common/issues/305>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.1-1noble) noble; urgency=high

  * Switch from rcpputils::fs to std::filesystem (#300 <https://github.com/ros-perception/image_common/issues/300>)
  * Contributors: Christophe Bedard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (5.0.0-1noble) noble; urgency=high

  * Removed C headers: camera_info_manager camera_calibration_parsers (#290 <https://github.com/ros-perception/image_common/issues/290>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.5.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.5.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.2.0-1noble) noble; urgency=high

  * Update image_common to C++17. (#267 <https://github.com/ros-perception/image_common/issues/267>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.1.1-1noble) noble; urgency=high

  * Add alias library targets for all libraries (#259 <https://github.com/ros-perception/image_common/issues/259>)
  * Contributors: RFRIEDM-Trimble

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.1.0-1noble) noble; urgency=high

  * Add support for missing ROI and binning fields (#254 <https://github.com/ros-perception/image_common/issues/254>)
  * Contributors: AndreasR30

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (4.0.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 Aug 2022 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.2.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 11 Jul 2022 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.1.4-1noble) noble; urgency=high

  * Tests depend on rcpputils (#236 <https://github.com/ros-perception/image_common/issues/236>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.1.3-1noble) noble; urgency=high

  * Remove YAML_CPP_DLL define (#231 <https://github.com/ros-perception/image_common/issues/231>)
  * Contributors: Akash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.1.2-1noble) noble; urgency=high

  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (3.0.0-1noble) noble; urgency=high

  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.3.0-1noble) noble; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Contributors: Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.2.1-1noble) noble; urgency=high

  * ROS2 Using the filesystem helper in rcpputils (#133 <https://github.com/ros-perception/image_common/issues/133>)
  * [Windows][ros2] Avoid build break for Visual Studio 2019 v16.3 (#135 <https://github.com/ros-perception/image_common/issues/135>)
  * Contributors: Andreas Klintberg, Sean Yen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (2.0.0-1noble) noble; urgency=high

  * Camera Calibration Parsers ROS2 Port (#105 <https://github.com/ros-perception/image_common/issues/105>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.13-1noble) noble; urgency=high

  * Use Boost_LIBRARIES instead of Boost_PYTHON_LIBRARY
    This was causing issues when building with python3 since then
    Boost_PYTHON_LIBRARY is not set, instead cmake sets
    Boost_PYTHON3_LIBRARY. So instead of adding each library separately,
    using Boost_LIBRARIES seems to be better. For reference, from the
    cmake docs:
    ```
    Boost_LIBRARIES        - Boost component libraries to be linked
    Boost\_<C>_LIBRARY      - Libraries to link for component <C>
    ```
  * Contributors: Kartik Mohta, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 04 Nov 2017 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.12-1noble) noble; urgency=high

  * Properly detect Boost Python 2 or 3
    This fixes #59 <https://github.com/ros-perception/image_common/issues/59>
  * 1.11.11
  * update changelogs
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 28 Jan 2017 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 23 Sep 2016 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.10-1noble) noble; urgency=high

  * Add install target for python wrapper library
  * Only link against needed Boost libraries
    9829b02 introduced a python dependency into find_package(Boost..) which
    results in ${Boost_LIBRARIES} containing boost_python and such a
    dependency to libpython at link time. With this patch we only link
    against the needed libraries.
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Jan 2016 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.9-1noble) noble; urgency=high

  * Add python wrapper for readCalibration.
    Reads .ini or .yaml calibration file and returns camera name and sensor_msgs/cameraInfo.
  * Use $catkin_EXPORTED_TARGETS
  * Contributors: Jochen Sprickerhof, Markus Roth

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 16 Jan 2016 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.8-1noble) noble; urgency=high

  * Remove no-longer-neccessary flags to allow OS X to use 0.3 and 0.5 of yaml-cpp.
  * remove buggy CMake message
  * Contributors: Helen Oleynikova, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 28 Nov 2015 23:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.7-1noble) noble; urgency=high

  * fix #39 <https://github.com/ros-perception/image_common/issues/39>
  * make sure test does not fail
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 27 Jul 2015 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.6-1noble) noble; urgency=high

  * [camera_calibration_parsers] Better error message when calib file can't be written
  * add rosbash as a test dependency
  * add a test dependency now that we have tests
  * parse distortion of arbitraty length in INI
    This fixes #33 <https://github.com/ros-perception/image_common/issues/33>
  * add a test to parse INI calibration files with 5 or 8 D param
  * Add yaml-cpp case for building on Android
  * Contributors: Gary Servin, Isaac IY Saito, Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 15 Jul 2015 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.5-1noble) noble; urgency=high

  * Fix catkin_make failure (due to yaml-cpp deps) for mac os
  * Contributors: Yifei Zhang

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 May 2015 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.4-1noble) noble; urgency=high

  * fix bad yaml-cpp usage in certain conditions
    fixes #24 <https://github.com/ros-perception/image_common/issues/24>
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 20 Sep 2014 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 18 May 2014 22:00:00 -0000

ros-jazzy-camera-calibration-parsers (1.11.2-1noble) noble; urgency=high

  * add a dependency on pkg-config to have it work on Indigo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Feb 2014 08:32:06 +0100

ros-jazzy-camera-calibration-parsers (1.11.1-1noble) noble; urgency=high

  * fix YAML CPP 0.5.x compatibility

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 02:32:06 +0100


